apiVersion: web.servers.org/v1alpha1
kind: WebServer
metadata:
  creationTimestamp: '2025-07-24T14:23:16Z'
  generation: 1
  managedFields:
    - apiVersion: web.servers.org/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:applicationName': {}
          'f:persistentLogs':
            .: {}
            'f:catalinaLogs': {}
          'f:replicas': {}
          'f:useInsightsClient': {}
          'f:webImage':
            .: {}
            'f:applicationImage': {}
      manager: Mozilla
      operation: Update
      time: '2025-07-24T14:23:16Z'
    - apiVersion: web.servers.org/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:hosts':
            .: {}
            'v:"webapp.mm-test.apps.jws-qe-ejoo.dynamic.xpaas"': {}
          'f:pods': {}
          'f:replicas': {}
          'f:scalingdownPods': {}
          'f:selector': {}
      manager: jws-operator
      operation: Update
      subresource: status
      time: '2025-07-24T14:23:27Z'
  name: webserver-example
  namespace: mm-test
  resourceVersion: '25313843'
  uid: 08b976da-dbed-42be-b0e8-d05332e73b52
spec:
  applicationName: webapp
  persistentLogs:
    catalinaLogs: true
  replicas: 1
  useInsightsClient: false
  webImage:
    applicationImage: 'registry-proxy.engineering.redhat.com/rh-osbs/jboss-webserver-6-jws61-openjdk21-rhel8-openshift:6.1.0-8'
status:
  hosts:
    - webapp.mm-test.apps.jws-qe-ejoo.dynamic.xpaas
  pods:
    - name: webapp-78fbcbd887-kkjpd
      podIP: 10.129.2.225
      state: ACTIVE
  replicas: 1
  scalingdownPods: 0
  selector: app.kubernetes.io/name=webserver-example
